<!DOCTYPE html>
<html>
    <head>
		<meta name="format-detection" content="telephone=no">
        <meta name="msapplication-tap-highlight" content="no">
        <meta name="viewport" content="user-scalable=no, initial-scale=1, maximum-scale=1, minimum-scale=1, width=device-width">
        
		<link rel="stylesheet" type="text/css" href="css/bootstrap.min.css">
		<link rel="stylesheet" type="text/css" href="css/bootstrap-theme.min.css">
		<link rel="stylesheet" type="text/css" href="css/bootstrap-datetimepicker.css">
		<link rel="stylesheet" type="text/css" href="css/custom.css">
		<link rel="stylesheet" type="text/css" href="css/fontAwesome/css/font-awesome.min.css">
		<script type="text/javascript" src="js/jquery.min.js"></script>
		<script type="text/javascript" src="js/moment.js"></script>
		<script type="text/javascript" src="js/bootstrap.min.js"></script>
		<script type="text/javascript" src="js/bootstrap-datetimepicker.js"></script>
		<script type="text/javascript" src="js/Chart.bundle.js"></script>
		<script type="text/javascript" src="js/utils.js"></script>
		<title>C.O.J.</title>	
		<style>
			span {
				margin-right: 15px;
			}
		</style>		
	</head>
	<body style="background-color:#ececec">		
			<div class="panel panel-success" ng-controller="apacheCtr" style="margin:0;padding:0;width:100%">
				<div class="panel-heading">
					<div class="container">
						<div class="row">
							<div class="col-xs-10 col-sm-10 col-lg-10" style="margin:0;padding:0;">
								<img alt="" src="img/cog-ico.png">&nbsp;<b>¡Bienvenido {{nombreUsuario}}!</b>
							</div>
							<div class="col-xs-2 col-sm-2 col-lg-2" style="margin:0;padding:0;">
								<a href="index.html"><span class="fa fa-power-off " style="margin-right: 5px;"></span>LogOut</a>
							</div>
						</div>
					</div>
				</div>
				<div class="panel-body" style="margin:0;padding:0;width:100%;background-color:#ececec">
					<div class="container">
						<div class="row">
							<div class="col-xs-3 col-sm-2 col-lg-2" style="margin:0;padding:0;">
								<div class="menu" style="margin:0;padding:0;width:100%">
									<ul>
										<li><a href="#"><span class="fa fa-cart-plus"></span>Compras</a></li>
										<li><a href="#!clickButtom"><span class="fa fa-credit-card"></span>Cuenta</a></li>
										<li><a href="#"><span class="fa fa-minus-square-o"></span>D&eacute;bitos</a></li>
										<li><a href="#"><span class="fa fa-file-pdf-o"></span>Aranceles</a></li>
										<li><a href="#"><span class="fa fa-usd"></span>Liquidaciones</a></li>
										<li><a href="#"><span class="fa fa-question-circle-o"></span>Preguntas</a></li>							
									</ul>
								</div>
							</div>
							<div class="col-xs-9 col-sm-10 col-lg-10" style="margin:0;padding:0;">
								<ng-view></ng-view>
								<div class="panel panel-default" style="margin:0;padding:0;width:100%;height:100%;">
								  <div class="panel-heading"><span class="fa fa-cart-plus"></span>Compras realizadas</a></div>
								  <div class="panel-body">
										<form id="search-form">
											<div class="form-group">
												<span>Periodo a consultar</span><br>
												<table>
													<tr>
														<td>
															<div class='input-group date' id='datetimeBefore' style="width:220px">
																<input id="dateBefore" type='text' class="form-control"  required>
																	<span class="input-group-addon">
																		<span class="fa fa-calendar"></span>
																	</span>
															</div>
														</td>
														<td>-</td>
														<td>
															<div class='input-group date' id='datetimeAfter' style="width:220px">
																<input id="dateAfter" type='text' class="form-control" required>
																<span class="input-group-addon">
																	<span class="fa fa-calendar"></span>
																</span>
															</div>
														</td>
													</tr>
													<tr><td colspan="3" align="center">&nbsp;</td></tr>
													<tr><td colspan="3" align="center"><button  type="submit" class="btn btn-success btn-sm"><span class="fa fa-search"></span>Consultar</button></td></tr>
												</table>	
												<hr>
												<span>Resultados</span>
												<table border="0" width="100%">													
												<div id="div-search-results">
													<table class="table">
														<thead>
														  <tr class="success">
															<th>Fecha</th>
															<th>Comprobante</th>
															<th>Pago</th>
															<th>Estado</th>
															<th>Total</th>
														  </tr>
														</thead>
													</table>
												</div>												
											</div>
										</form>										
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>	
		  </div>

		<script type="text/javascript" src="js/angular.js"></script>
		<script src="js/angular-route.js"></script>
        <script type="text/javascript" src="cordova.js"></script>
		<script type="text/javascript" src="js/inicio.js"></script>
		<script type="text/javascript">
			$(function () {
				var $formSearch = $('#search-form');
				
				$("form").submit(function () 
				{
					var $shBefore=$('#dateBefore').val();
					var $shAfter=$('#dateAfter').val();
					if ($shBefore != "ERROR" && $shAfter != "ERROR") 
					{
						//realizo consulta con la bdd 
						var sql="	SELECT id_tipo_comprobante,numero,id_condicion_vta,id_estado,importe,fecha FROM vta_comprobantes ";
						sql+="		WHERE id_cliente='"+window.sessionStorage.getItem("idUsuario")+"' AND (fecha BETWEEN convert(datetime,'"+$shBefore+"',103) AND convert(datetime,'"+$shAfter+"',103) )"
						sql+="		AND id_tipo_comprobante='FAC' ORDER BY fecha DESC";
						
						/**********Begin # declaro e body de la tabla de resultados*************/
						var j=0;
						var classBody="";
						var bodyTable="";
						var headerTable='<table class="table">';
						/***********************Begin # sql query a la bd**********************/
						SqlServer.executeQuery(sql, function(event) 
						{
							if(event!=null && event!=undefined && event!="")
							{							  
								var divSearchResults=$('#div-search-results');
								$(divSearchResults).empty();
								
								var responseSearch=JSON.stringify(event);
								var dataSearch=JSON.parse(responseSearch);
							  
								$.each(dataSearch, function(i, factura) 
								{
									if(j==0)
									{
										/**********Begin # declaro e header de la tabla de resultados*************/										
										headerTable+='<thead>';
										headerTable+='<tr class="success">';
										headerTable+='<th>Fecha</th>';
										headerTable+='<th>Comprobante</th>';
										headerTable+='<th>Pago</th>';
										headerTable+='<th>Estado</th>';
										headerTable+='<th>Total</th>';
										headerTable+='</tr>';
										headerTable+='</thead>';
									    /**********End # declaro e header de la tabla de resultados*************/
										bodyTable='<tbody>';
										j=1;
									}
									
									if(classBody=="")
									{
										classBody=' class="info"';
									}
									else
									{
										classBody='';
									}
									bodyTable+=		'<tr'+classBody+'>';
									bodyTable+=			'<td align="center">'+factura.fecha.substring(0,10);+'</td>';
									bodyTable+=			'<td align="left">&nbsp;'+factura.id_tipo_comprobante+'-'+factura.numero+'</td>';
									var tipoPago="CTA CTE";
									if(factura.id_condicion_vta=="1")
									{
										tipoPago="CONTADO";
									}
									var estadoCompra="PENDIENTE";
									switch(factura.id_estado)
									{
										case "CDO":estadoCompra="PAGADO";break;
										case "CAN":estadoCompra="PAGADO";break;
									}
									
									bodyTable+=			'<td align="center">'+tipoPago+'</td>';
									bodyTable+=			'<td align="center">'+estadoCompra+'</td>';
									bodyTable+=			'<td align="right">$'+factura.importe+'&nbsp;</td>';
									bodyTable+=		'</tr>';
									
									if(dataSearch.length==(i+1))
									{
										bodyTable+=	  '</tbody>';
										headerTable+=bodyTable+"</table>"
										$(divSearchResults).append(headerTable);
									}								
								});
							}
							else
							{
								alert("No pudo obtenerse los registros de compras del periodo seleccionado.")
							}
						}, function(error) 
						{
						  alert("Error en la conexión con la BD\nError descriptivo: " + JSON.stringify(error));						  
						});
						/***********************Begin # sql query a la bd**********************/						
					}					
				});
				
				$('#datetimeBefore').datetimepicker();
				$('#datetimeAfter').datetimepicker({
					useCurrent: true					
				});
				$("#datetimeBefore").on("dp.change", function (e) {
					$('#datetimeAfter').data("DateTimePicker").minDate(e.date);
				});
				$("#datetimeAfter").on("dp.change", function (e) {
					$('#datetimeBefore').data("DateTimePicker").maxDate(e.date);
				});
			});
		</script>
	</body>
</html>	